Summary:         Analyzes C files charting control flow within the program
Name:            cflow
Version:         1.4
Release:         1%{?dist}
License:         GPLv2+
Group:           Development/Languages
URL:             http://www.gnu.org/software/cflow/
Source0:         http://ftp.gnu.org/gnu/cflow/%{name}-%{version}.tar.bz2
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# to install lisp files
BuildRequires:   emacs
Requires(post):  info
Requires(preun): info

%description
GNU cflow analyzes a collection of C source files and prints a graph,
charting control flow within the program.

GNU cflow is able to produce both direct and inverted flowgraphs for C
sources. Optionally a cross-reference listing can be generated. Two
output formats are implemented: POSIX and GNU (extended).

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
./configure --prefix=%{_prefix}  --libdir=%{_libdir}
%{__make} %{?_smp_flags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} INSTALL='%{__install} -p' install
%find_lang %{name}
%{__rm} -f %{buildroot}/%{_infodir}/dir

%clean
%{__rm} -rf %{buildroot}

%check
%{__make} check

%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :

%preun
if [ $1 = 0 ] ; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi

%files -f %{name}.lang
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_bindir}/%{name}
%{_infodir}/%{name}.info.gz
%{_datadir}/emacs/site-lisp/%{name}-mode.el

%changelog
* Wed Oct 12 2011 Terje Rosten <terje.rosten@ntnu.no> - 1.4-1
- 1.4

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Dec 05 2009 Terje Rosten <terje.rosten@ntnu.no> - 1.3-1
- 1.3

* Mon Aug 10 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.2-5
- Use bzipped upstream tarball.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri May 16 2008 Terje Rosten <terje.rosten@ntnu.no> - 1.2-2
- add emacs to buildreq

* Wed May 14 2008 Terje Rosten <terje.rosten@ntnu.no> - 1.2-1
- initial build

